Skip to main content
GET
/
v1
/
seo
/
keywords
/
{engine}
/
{endpoint}
Keywords metadata
curl --request GET \
  --url https://api.usenaive.ai/v1/seo/keywords/{engine}/{endpoint} \
  --header 'Authorization: Bearer <token>'
{
  "tasks": [
    {}
  ],
  "cost": 123,
  "time": "<string>",
  "credits_used": 123,
  "credits_remaining": 123
}

Authorizations

Authorization
string
header
required

Workspace API key. Create one via the dashboard or POST /v1/auth/keys.

Path Parameters

engine
enum<string>
required
Available options:
google,
bing,
google-trends
endpoint
enum<string>
required
Available options:
locations,
languages,
categories,
adwords-status

Response

200 - application/json

OK.

DataForSEO passthrough envelope.

tasks
object[]
cost
number
time
string
credits_used
number

Present on billed POST/live endpoints.

credits_remaining
number

Present on billed POST/live endpoints.